# Poco

# class Base32DecoderBuf

Library: Foundation
Package: Streams
Header: Poco/Base32Decoder.h

## Description

This streambuf base32-decodes all data read from the istream connected to it.

Note: For performance reasons, the characters are read directly from the given istream's underlying streambuf, so the state of the istream will not reflect that of its streambuf.

## Inheritance

Direct Base Classes: UnbufferedStreamBuf

All Base Classes: UnbufferedStreamBuf

## Constructors

### Base32DecoderBuf

Base32DecoderBuf(
std::istream & istr
);

## Destructor

### ~Base32DecoderBuf

~Base32DecoderBuf();